#include "PortableSnowmanCoordinatorComponent.h"
#include "Net/UnrealNetwork.h"

void UPortableSnowmanCoordinatorComponent::OnRep_SnowballComponent()
{

}

void UPortableSnowmanCoordinatorComponent::OnRep_PortableSnowmanComponent()
{

}

void UPortableSnowmanCoordinatorComponent::GetLifetimeReplicatedProps(TArray<FLifetimeProperty>& OutLifetimeProps) const
{
	Super::GetLifetimeReplicatedProps(OutLifetimeProps);

	DOREPLIFETIME(UPortableSnowmanCoordinatorComponent, _snowballComponent);
	DOREPLIFETIME(UPortableSnowmanCoordinatorComponent, _portableSnowmanComponent);
}

UPortableSnowmanCoordinatorComponent::UPortableSnowmanCoordinatorComponent()
{
	this->_snowballComponentClass = NULL;
	this->_portableSnowmanComponentClass = NULL;
}
